# 62. Mutasjon: Del gårder

Batch-deling av gårder til brukere inne i "Organisasjon" eller til eksterne brukere. Det finnes to tilfeller for å bruke mutasjonen. Det første tilfellet er batch-"Gård"-deling via e-postliste.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutasjon ShareFarmsSample {
  shareFarms(
    input: {
      farmUuids: ["farm_uuid1", "farm_uuid2"]
      emails: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    navn
    farmOwnership
    opprettetDato
    updatedDate
    epost
  }
}

```

{% endcode %}

Og det andre tilfellet er å sette flagget ‘allFarms=true’ for listen over "Brukere" i "Organisasjonen", som betyr at alle nye gårder inne i "Organisasjonen" vil være tilgjengelige for disse "Brukerne".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutasjon ShareFarmsSample {
  shareFarms(
    input: { 
      emails: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    navn
    farmOwnership
    opprettetDato
    updatedDate
    epost
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-foresporsler-oversikt/62.-mutasjon-del-garder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
